MODINFO(8)

NAME
modinfo - display information about a kernel module

SYNOPSIS
modinfo [ options ] <module_file>

DESCRIPTION
The modinfo utility examines the object file module_file associated with a kernel module and displays any information that it can glean.

  OPTIONS

-a, --author
    Display the module's author.

-d, --description
    Display the module's description.

-fformat_string, --format format_string
    Let the user specify an arbitrary format string which can extract values from the ELF section in module_file which contains the module information. Replacements consist of a percent sign followed by a tag name in curly braces. A tagname of %{filename} is always supported, even if the module has no modinfo section. %{kernel_version} shows the version of the kernel the module was compiled for. %{using_checksums} expands to 1 is the module has versioned symbols and to 0 or <none> otherwise. A tagname of %{parm} is special: the format string line is repeated for each known module parameter (which may be zero times) and %{parm} is then replaced by descriptions of module parameters (one parameter on each repeated line). Alternatively, %a, %d, %l, %n and %p can be used instead of %{author}, %{description}, %{filename}, %{license} and %{parm}, respectively.

-h, --help
    Display a summary of options and immediately exit.

-l, --license
    Display the module's license.

-n, --filename
    Display the module's filename.

-p, --parameters
    Display the typed parameters that a module may support.

-V, --version
    Display the version of modinfo.

If no options are supplied, the default is filename, description, author, license and parameters.

SEE ALSO
insmod(8), modprobe(8), depmod(8), rmmod(8), lsmod(8), ksyms(8), modules(2)